package ru.pricepulse.parsingservice.wildberries_parser;

import lombok.AllArgsConstructor;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;
import ru.pricepulse.parsingservice.wildberries_parser.service.ParsingService;

@Component
@AllArgsConstructor
public class DebugRunner implements CommandLineRunner {
    private final ParsingService parsingService;

    @Override
    public void run(String... args){
        System.out.println("Начинаем отладку...");
        parsingService.parse();
        System.out.println("Заканчиваем отладку...");
    }
}
